package com.bzd.system.service.xtsz;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 门店资质表 service
* @author LiXiangFei
* @since 2024-10-18
*/

@Service
public class SXtszMdzhglStorequalificationService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSXtszMdzhglStorequalification(PageData pd)throws Exception {
        return daoSupport.update("SXtszMdzhglStorequalificationMapper.addSXtszMdzhglStorequalification", pd);
    }

    public List<PageData> findSXtszMdzhglStorequalificationList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SXtszMdzhglStorequalificationMapper.selectSXtszMdzhglStorequalificationList", pd);
    }

    public Integer SXtszMdzhglStorequalificationRemove(PageData pd)throws Exception {
        return daoSupport.delete("SXtszMdzhglStorequalificationMapper.SXtszMdzhglStorequalificationRemove", pd);
    }


    public Integer updateSXtszMdzhglStorequalification(PageData pd)throws Exception {
        return daoSupport.update("SXtszMdzhglStorequalificationMapper.updateSXtszMdzhglStorequalification", pd);
    }

}
